#include<stdio.h>
typedef struct{
	long int j;
	long int d;
}r;
int main(){
	long  int p,p1,k,k1;
	scanf("%ld %ld",&k,&k1);
	scanf("%ld %ld",&p,&p1);
	r pr,dr;
	pr.j=p;
	pr.d=p1;
	dr.j=k;
	dr.d=k1;	
	if(pr.j==dr.j&&pr.d==dr.d)printf("nijedan");
	else if(pr.j==dr.j&&pr.d<dr.d)printf("drugi");
	else if(pr.j<dr.j&&pr.d==dr.d)printf("prvi");
	else printf("?");
}